#!/bin/sh


COMPRESOR=/usr/bin/gzip
DIR=/var/backups
SUBDIR=`date +%Y-%m-%d`
SEG=$DIR/seguridad.tar
YES=".backup"
MINSPACE=2000000
MINUID=1000


SP=`df $DIR  | sed 1d | tr -s \  | cut -f4 -d\ ` 
if [ $SP -lt $MINSPACE ]
   then
      logger "Backup no hecho: Error 1 " 
      exit 1
   fi

mkdir -p $DIR/$SUBDIR

if [ ! -d $DIR/$SUBDIR ] 
then
      logger "Backup no hecho: Error 2"  
      exit 1
fi


logger "Ejecutando el script de backup"

NF=`ls -l $DIR/$SUBDIR | sed 1d | wc -l`

if [ $NF -gt 0 ]
then
  logger "Backup no hecho: Error 3"
  exit 1
fi

IFS='
'

for LIN in `getent passwd`
do
  USER=`echo $LIN | cut -f1 -d:`
  UID=`echo $LIN | cut -f3 -d: `
  HOMEDIR=`echo $LIN | cut -f6 -d:`
  NAME=$USER.tar
  FILE="$DIR/$SUBDIR/$NAME"
  if [ $UID -ge $MINUID -a -f $HOMEDIR/$YES ]
     then
         tar cf $FILE $HOMEDIR 2>/dev/null
         chown $USER:wheel $FILE
         chmod 700 $FILE
         $COMPRESOR $FILE
    fi 
done

tar cf $SEG  $DIR/$SUBDIR 2>/dev/null
chmod 600 $SEG
rm -rf $DIR/$SUBDIR          ## Quiza quitar esta linea

newsyslog -f /root/backup.conf

